import { AbstractCall, BaseResponsePayload, BaseRequestPayload } from "../src/AbstractCall";
export declare class TestCall extends AbstractCall<TestCall.RequestPayload, TestCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module TestCall {
    const NAME = "TEST_CALL";
    interface RequestPayload extends BaseRequestPayload {
        myData: any;
    }
    interface ResponsePayload extends BaseResponsePayload {
        myData: any;
    }
}
