import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../src/AbstractCall";
export declare class FirebaseCall extends AbstractCall<FirebaseCall.RequestPayload, FirebaseCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module FirebaseCall {
    const NAME = "FIREBASE_CALL";
    interface RequestPayload extends BaseRequestPayload {
        firebase_token: any;
        email: string;
        firebase_id: string;
        username: string;
    }
    interface ResponsePayload extends BaseResponsePayload {
        token: any;
        user_id: any;
    }
}
