import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../src/AbstractCall";
export declare class LoginCall extends AbstractCall<LoginCall.RequestPayload, LoginCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module LoginCall {
    const NAME = "LOGIN_CALL";
    interface RequestPayload extends BaseRequestPayload {
        email: string;
        password: any;
    }
    interface ResponsePayload extends BaseResponsePayload {
        user_id: any;
        token: any;
    }
}
