import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../src/AbstractCall";
export declare class RegisterCall extends AbstractCall<RegisterCall.RequestPayload, RegisterCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module RegisterCall {
    const NAME = "REGISTER_CALL";
    interface RequestPayload extends BaseRequestPayload {
        email: string;
        username: string;
        name: string;
        surname: string;
        password: string;
    }
    interface ResponsePayload extends BaseResponsePayload {
        user_id: any;
        token: any;
    }
}
