import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../src/AbstractCall";
import { UserSkeleton } from "../database/ObjectSkeletons";
import { User } from "../database/ObjectInterfaces";
export declare class UpdateUserCall extends AbstractCall<UpdateUserCall.RequestPayload, UpdateUserCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module UpdateUserCall {
    const NAME = "UPDATE_USER_CALL";
    interface RequestPayload extends BaseRequestPayload {
        user_id: any;
        user: UserSkeleton;
    }
    interface ResponsePayload extends BaseResponsePayload {
        updated_user: User;
    }
}
