import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../src/AbstractCall";
import { UserSkeleton } from "../database/ObjectSkeletons";
import { User } from "../database/ObjectInterfaces";
export declare class UserInfoCall extends AbstractCall<UserInfoCall.RequestPayload, UserInfoCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module UserInfoCall {
    const NAME = "USER_INFO_CALL";
    interface RequestPayload extends BaseRequestPayload {
        user_id: any;
    }
    interface ResponsePayload extends BaseResponsePayload, UserSkeleton {
        user: User;
    }
}
