import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../../src/AbstractCall";


export class DBDeleteCommentCall extends AbstractCall<DBDeleteCommentCall.RequestPayload, DBDeleteCommentCall.ResponsePayload> {

    getRequestName(): string {
        return DBDeleteCommentCall.NAME;
    }
}

export module DBDeleteCommentCall {
    export const NAME = "DB_DELETE_COMMENT_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        comment_id : any
    }

    export interface ResponsePayload extends BaseResponsePayload{
    }
}