import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../../src/AbstractCall";
import { Poll } from "../ObjectInterfaces";
export declare class DBContinuedPollsParticipatedCall extends AbstractCall<DBContinuedPollsParticipatedCall.RequestPayload, DBContinuedPollsParticipatedCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module DBContinuedPollsParticipatedCall {
    const NAME = "DB_CONTINUED_POLLS_PARTICIPATED_CALL";
    interface RequestPayload extends BaseRequestPayload {
        user_id: any;
    }
    interface ResponsePayload extends BaseResponsePayload {
        polls: Poll[];
    }
}
