import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../../src/AbstractCall";
import {Poll} from "../ObjectInterfaces";

export class DBContinuedPollsTotalCall extends AbstractCall<DBContinuedPollsTotalCall.RequestPayload, DBContinuedPollsTotalCall.ResponsePayload> {

    getRequestName(): string {
        return DBContinuedPollsTotalCall.NAME;
    }
}

export module DBContinuedPollsTotalCall {
    export const NAME = "DB_CONTINUED_POLLS_TOTAL_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        user_id : any
    }

    export interface ResponsePayload extends BaseResponsePayload{
        polls : Poll[]
    }
}