import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../../src/AbstractCall";
import { Poll } from "../ObjectInterfaces";
export declare class DBGetPollCall extends AbstractCall<DBGetPollCall.RequestPayload, DBGetPollCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module DBGetPollCall {
    const NAME = "DB_GET_POLL_CALL";
    interface RequestPayload extends BaseRequestPayload {
        poll_id: any;
    }
    interface ResponsePayload extends BaseResponsePayload {
        poll: Poll;
    }
}
