import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../../src/AbstractCall";
import { Poll } from "../ObjectInterfaces";
export declare class DBParticipatedPollsCall extends AbstractCall<DBParticipatedPollsCall.RequestPayload, DBParticipatedPollsCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module DBParticipatedPollsCall {
    const NAME = "DB_PARTICIPATED_POLLS_CALL";
    interface RequestPayload extends BaseRequestPayload {
        user_id: any;
    }
    interface ResponsePayload extends BaseResponsePayload {
        polls: Poll[];
    }
}
