import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../../src/AbstractCall";
import {Poll} from "../ObjectInterfaces";

export class DBParticipatedPollsCall extends AbstractCall<DBParticipatedPollsCall.RequestPayload, DBParticipatedPollsCall.ResponsePayload> {

    getRequestName(): string {
        return DBParticipatedPollsCall.NAME;
    }
}

export module DBParticipatedPollsCall {
    export const NAME = "DB_PARTICIPATED_POLLS_CALL";

    export interface RequestPayload extends BaseRequestPayload {
        user_id: any
    }

    export interface ResponsePayload extends BaseResponsePayload{
        polls : Poll[]
    }
}