import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../../src/AbstractCall";
import {Poll} from "../ObjectInterfaces";

export class DBPastPollsCreatedCall extends AbstractCall<DBPastPollsCreatedCall.RequestPayload, DBPastPollsCreatedCall.ResponsePayload> {

    getRequestName(): string {
        return DBPastPollsCreatedCall.NAME;
    }
}

export module DBPastPollsCreatedCall {
    export const NAME = "DB_PAST_POLLS_CREATED_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        user_id : any
    }

    export interface ResponsePayload extends BaseResponsePayload{
        polls : Poll[]
    }
}