import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../../src/AbstractCall";
import {Poll} from "../ObjectInterfaces";

export class DBPastPollsParticipatedCall extends AbstractCall<DBPastPollsParticipatedCall.RequestPayload, DBPastPollsParticipatedCall.ResponsePayload> {

    getRequestName(): string {
        return DBPastPollsParticipatedCall.NAME;
    }
}

export module DBPastPollsParticipatedCall{
    export const NAME = "DB_PAST_POLLS_PARTICIPATED_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        user_id : any
    }

    export interface ResponsePayload extends BaseResponsePayload{
        polls : Poll[]
    }
}