import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../../src/AbstractCall";
import { Poll } from "../ObjectInterfaces";
export declare class DBPastPollsTotalCall extends AbstractCall<DBPastPollsTotalCall.RequestPayload, DBPastPollsTotalCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module DBPastPollsTotalCall {
    const NAME = "DB_PAST_POLLS_TOTAL_CALL";
    interface RequestPayload extends BaseRequestPayload {
        user_id: any;
    }
    interface ResponsePayload extends BaseResponsePayload {
        polls: Poll[];
    }
}
