import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../../src/AbstractCall";
import {Poll} from "../ObjectInterfaces";

export class DBPastPollsTotalCall extends AbstractCall<DBPastPollsTotalCall.RequestPayload, DBPastPollsTotalCall.ResponsePayload> {

    getRequestName(): string {
        return DBPastPollsTotalCall.NAME;
    }
}

export module DBPastPollsTotalCall {
    export const NAME = "DB_PAST_POLLS_TOTAL_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        user_id : any
    }

    export interface ResponsePayload extends BaseResponsePayload{
        polls : Poll[]
    }
}