import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../../src/AbstractCall";
import { Poll } from "../ObjectInterfaces";
export declare class SendPollPasswordCall extends AbstractCall<SendPollPasswordCall.RequestPayload, SendPollPasswordCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module SendPollPasswordCall {
    const NAME = "SEND_POLL_PASSWORD_CALL";
    interface RequestPayload extends BaseRequestPayload {
        poll_id: any;
        password: string;
    }
    interface ResponsePayload extends BaseResponsePayload {
        poll: Poll;
    }
}
