import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../../src/AbstractCall";
import {Poll} from "../ObjectInterfaces";

export class SendPollPasswordCall extends AbstractCall<SendPollPasswordCall.RequestPayload, SendPollPasswordCall.ResponsePayload> {

    getRequestName(): string {
        return SendPollPasswordCall.NAME;
    }
}

export module SendPollPasswordCall {
    export const NAME = "SEND_POLL_PASSWORD_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        poll_id : any
        password:string
    }

    export interface ResponsePayload extends BaseResponsePayload {
        poll : Poll
    }
}