import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../src/AbstractCall";
export declare class ParticipateInPollCall extends AbstractCall<ParticipateInPollCall.RequestPayload, ParticipateInPollCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module ParticipateInPollCall {
    const NAME = "PARTICIPATE_IN_POLL_CALL";
    interface RequestPayload extends BaseRequestPayload {
        poll_id: any;
        user_id?: any;
        name: string;
        timeslots: {
            start_date: Date;
            end_date: Date;
        }[];
    }
    interface ResponsePayload extends BaseResponsePayload {
        participant_id: any;
    }
}
