import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../src/AbstractCall";
import { ParticipantSkeleton } from "../database/ObjectSkeletons";
import { Participant } from "../database/ObjectInterfaces";
export declare class UpdateParticipantCall extends AbstractCall<UpdateParticipantCall.RequestPayload, UpdateParticipantCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module UpdateParticipantCall {
    const NAME = "UPDATE_PARTICIPANT_CALL";
    interface RequestPayload extends BaseRequestPayload {
        participant_id: any;
        participant: ParticipantSkeleton;
    }
    interface ResponsePayload extends BaseResponsePayload {
        updated_participant: Participant;
    }
}
