import {AbstractCall, BaseResponsePayload, BaseRequestPayload} from "../src/AbstractCall";

export class TestCall extends AbstractCall<TestCall.RequestPayload, TestCall.ResponsePayload>{
    getRequestName(): string {
        return TestCall.NAME;
    }
}

export module TestCall{
    export const NAME = "TEST_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        myData : any
    }

    export interface ResponsePayload extends BaseResponsePayload{
        myData : any
    }
}