import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../src/AbstractCall";


export class FirebaseCall extends AbstractCall<FirebaseCall.RequestPayload,FirebaseCall.ResponsePayload>{
    getRequestName(): string {
        return FirebaseCall.NAME;
    }
}

export module FirebaseCall{
    export const NAME = "FIREBASE_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        firebase_token:any,
        email:string,
        firebase_id:string,
        username:string
    }

    export interface ResponsePayload extends BaseResponsePayload{
        token:any,
        user_id:any
    }
}