import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../src/AbstractCall";

export class LoginCall extends AbstractCall<LoginCall.RequestPayload,LoginCall.ResponsePayload>{
    getRequestName(): string {
        return LoginCall.NAME;
    }
}

export module LoginCall{
    export const NAME = "LOGIN_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        email:string,
        password:any
    }

    export interface ResponsePayload extends BaseResponsePayload{
        user_id:any,
        token:any
    }
}