import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../src/AbstractCall";

export class RegisterCall extends AbstractCall<RegisterCall.RequestPayload,RegisterCall.ResponsePayload>{
    getRequestName(): string {
        return RegisterCall.NAME;
    }
}

export module RegisterCall{
    export const NAME = "REGISTER_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        email: string
        username: string
        name: string
        surname: string
        password: string
    }

    export interface ResponsePayload extends BaseResponsePayload{
        user_id:any,
        token:any
    }
}