import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../../src/AbstractCall";
import { Poll } from "../ObjectInterfaces";
export declare class DBContinuedPollsCreatedCall extends AbstractCall<DBContinuedPollsCreatedCall.RequestPayload, DBContinuedPollsCreatedCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module DBContinuedPollsCreatedCall {
    const NAME = "DB_CONTINUED_POLLS_CREATED_CALL";
    interface RequestPayload extends BaseRequestPayload {
        user_id: any;
    }
    interface ResponsePayload extends BaseResponsePayload {
        polls: Poll[];
    }
}
