import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../../src/AbstractCall";
import {Poll} from "../ObjectInterfaces";

export class DBContinuedPollsCreatedCall extends AbstractCall<DBContinuedPollsCreatedCall.RequestPayload, DBContinuedPollsCreatedCall.ResponsePayload> {

    getRequestName(): string {
        return DBContinuedPollsCreatedCall.NAME;
    }
}

export module DBContinuedPollsCreatedCall {
    export const NAME = "DB_CONTINUED_POLLS_CREATED_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        user_id : any
    }

    export interface ResponsePayload extends BaseResponsePayload{
        polls : Poll[]
    }
}