import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../../src/AbstractCall";
import {Poll} from "../ObjectInterfaces";

export class  DBContinuedPollsParticipatedCall extends AbstractCall<DBContinuedPollsParticipatedCall.RequestPayload, DBContinuedPollsParticipatedCall.ResponsePayload> {

    getRequestName(): string {
        return DBContinuedPollsParticipatedCall.NAME;
    }
}

export module DBContinuedPollsParticipatedCall{
    export const NAME = "DB_CONTINUED_POLLS_PARTICIPATED_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        user_id : any
    }

    export interface ResponsePayload extends BaseResponsePayload{
        polls : Poll[]
    }
}