import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../../src/AbstractCall";

export class DBDeleteParticipantCall extends AbstractCall<DBDeleteParticipantCall.RequestPayload, DBDeleteParticipantCall.ResponsePayload> {

    getRequestName(): string {
        return DBDeleteParticipantCall.NAME;
    }
}

export module DBDeleteParticipantCall {
    export const NAME = "DB_DELETE_PARTICIPANT_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        participant_id : any
    }

    export interface ResponsePayload extends BaseResponsePayload{
    }
}