import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../../src/AbstractCall";

export class DBDeletePollCall extends AbstractCall<DBDeletePollCall.RequestPayload, DBDeletePollCall.ResponsePayload> {

    getRequestName(): string {
        return DBDeletePollCall.NAME;
    }
}

export module DBDeletePollCall {
    export const NAME = "DB_DELETE_POLL_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        poll_id : any
    }

    export interface ResponsePayload extends BaseResponsePayload{
    }
}