import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../../src/AbstractCall";
import {Poll} from "../ObjectInterfaces";

export class DBGetPollCall extends AbstractCall<DBGetPollCall.RequestPayload, DBGetPollCall.ResponsePayload> {

    getRequestName(): string {
        return DBGetPollCall.NAME;
    }
}

export module DBGetPollCall {
    export const NAME = "DB_GET_POLL_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        poll_id : any
    }

    export interface ResponsePayload extends BaseResponsePayload {
        poll : Poll
    }
}