import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../../src/AbstractCall";
import { Poll } from "../ObjectInterfaces";
export declare class DBPastPollsCreatedCall extends AbstractCall<DBPastPollsCreatedCall.RequestPayload, DBPastPollsCreatedCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module DBPastPollsCreatedCall {
    const NAME = "DB_PAST_POLLS_CREATED_CALL";
    interface RequestPayload extends BaseRequestPayload {
        user_id: any;
    }
    interface ResponsePayload extends BaseResponsePayload {
        polls: Poll[];
    }
}
