import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../../src/AbstractCall";
import { Poll } from "../ObjectInterfaces";
export declare class DBPastPollsParticipatedCall extends AbstractCall<DBPastPollsParticipatedCall.RequestPayload, DBPastPollsParticipatedCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module DBPastPollsParticipatedCall {
    const NAME = "DB_PAST_POLLS_PARTICIPATED_CALL";
    interface RequestPayload extends BaseRequestPayload {
        user_id: any;
    }
    interface ResponsePayload extends BaseResponsePayload {
        polls: Poll[];
    }
}
