import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../../src/AbstractCall";

export class DBDeleteUserCall extends AbstractCall<DBDeleteUserCall.RequestPayload, DBDeleteUserCall.ResponsePayload> {

    getRequestName(): string {
        return DBDeleteUserCall.NAME;
    }
}

export module DBDeleteUserCall {
    export const NAME = "DB_DELETE_USER_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        user_id : any
    }

    export interface ResponsePayload extends BaseResponsePayload{
    }
}