import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../src/AbstractCall";
export declare class CreateCommentCall extends AbstractCall<CreateCommentCall.RequestPayload, CreateCommentCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module CreateCommentCall {
    const NAME = "CREATE_COMMENT_CALL";
    interface RequestPayload extends BaseRequestPayload {
        participant_id: any;
        comment: string;
    }
    interface ResponsePayload extends BaseResponsePayload {
        comment_id: any;
    }
}
