import {AbstractCall, BaseRequestPayload, BaseResponsePayload} from "../../src/AbstractCall";

export class FindBestTimeslotsCall extends AbstractCall<FindBestTimeslotsCall.RequestPayload, FindBestTimeslotsCall.ResponsePayload>{

    getRequestName(): string {
        return FindBestTimeslotsCall.NAME;
    }
}

export module FindBestTimeslotsCall {
    export const NAME = "FIND_BEST_TIMESLOTS_CALL";

    export interface RequestPayload extends BaseRequestPayload{
        poll_id: any;
    }

    export interface ResponsePayload extends BaseResponsePayload{
        data: any;
    }
}