import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../src/AbstractCall";
import { PollSkeleton } from "../database/ObjectSkeletons";
export declare class SavePollCall extends AbstractCall<SavePollCall.RequestPayload, SavePollCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module SavePollCall {
    const NAME = "SAVE_POLL_CALL";
    interface RequestPayload extends BaseRequestPayload {
        poll_id: any;
        poll: PollSkeleton;
    }
    interface ResponsePayload extends BaseResponsePayload {
        poll_id: any;
    }
}
