import { AbstractCall, BaseRequestPayload, BaseResponsePayload } from "../../src/AbstractCall";
import { CommentSkeleton } from "../database/ObjectSkeletons";
export declare class UpdateCommentCall extends AbstractCall<UpdateCommentCall.RequestPayload, UpdateCommentCall.ResponsePayload> {
    getRequestName(): string;
}
export declare module UpdateCommentCall {
    const NAME = "UPDATE_COMMENT_CALL";
    interface RequestPayload extends BaseRequestPayload {
        comment_id: any;
        comment: CommentSkeleton;
    }
    interface ResponsePayload extends BaseResponsePayload {
        comment_id: any;
    }
}
